# How to contribute

This project has limited capacity for reviewing and accepting open-source
contributions.  Please see "Contribution process" below.

## Before you begin

### Sign our Contributor License Agreement

Contributions to this project must be accompanied by a
[Contributor License Agreement](https://cla.developers.google.com/about) (CLA).
You (or your employer) retain the copyright to your contribution; this simply
gives us permission to use and redistribute your contributions as part of the
project.

If you or your current employer have already signed the Google CLA (even if it
was for a different project), you probably don't need to do it again.

Visit <https://cla.developers.google.com/> to see your current agreements or to
sign a new one.

### Review our community guidelines

This project follows
[Google's Open Source Community Guidelines](https://opensource.google/conduct/).

## Contribution process

### Design reviews

Prior to developing any change, please file a
[GitHub Issue](https://docs.github.com/en/issues/tracking-your-work-with-issues/about-issues)
proposing the change.  The
proposal should describe the proposed new API as well as any major technical
considerations for the underlying design.  Additional information or changes to
the design may be requested based on the review.

In general, the goal of this project is to solve one collection of use cases
really well.  We're looking for contributions that support that goal.

### Code reviews

All submissions, including submissions by project members, require review. We
use GitHub pull requests for this purpose. Consult
[GitHub Help](https://help.github.com/articles/about-pull-requests/) for more
information on using pull requests.
